
<?
$ma1 = mysql_query("SET NAMES cp1251");
$ma1 = mysql_query("SELECT * FROM magic_slots WHERE S_NICK=\"$_SESSION[s]\" AND S_KEY_MAGIC=\"$ski\"");
$ma2 = mysql_fetch_assoc($ma1);
$mobs = mysql_query("SET NAMES cp1251");
$mobs = mysql_query("SELECT * FROM mobs_world WHERE MOBSid=\"$src\"");
$mobs2 = mysql_fetch_assoc($mobs);
$ptime = time(); 
$giper = mysql_query("SELECT * FROM giper WHERE G_NAME=\"$_SESSION[s]\"");
$giper2 = mysql_fetch_assoc($giper);
if($giper2[x2]=='1'){$gi = 2;}//2
if($giper2[x4]=='1'){$gi = 4;}//4
if($giper2[x8]=='1'){$gi = 8;}//8
if($giper2[x12]=='1'){$gi = 12;}//12
if(mysql_num_rows($giper)<1){$gi = 1;}
if($ski == 'm.ob' AND mysql_num_rows($magA)>0){
/*if($ma2[S_TIME_NEED]>=$ptime){
$lU = mysql_query("SET NAMES cp1251");
$src = trim($src);
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('заклинание *огненная буря* ',' еще не восстановилось','$_SESSION[s]','','$vremya','$nnick2[loc]','$src')");
// print('<SCRIPT>location.href="attack.php?menu=main&src='.$src.'";</SCRIPT>');
//die;
}*/
$us = mysql_query("SET NAMES cp1251");
$us =mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$us2 = mysql_fetch_assoc($us);
$mb = mysql_query("SET NAMES cp1251");
$mb =mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
if($buffs2[S_LVL_MAGIC]=='1'){$min = 90;    $max = 90;   $sw = "FIRE"; $mp = 120;}
if($buffs2[S_LVL_MAGIC]=='2'){$min = 70;   $max = 240;   $sw = "FIRE"; $mp = 180;}
if($buffs2[S_LVL_MAGIC]=='3'){$min = 105;   $max = 310;   $sw = "FIRE"; $mp = 240;}
if($buffs2[S_LVL_MAGIC]=='4'){$min = 140;   $max = 380;  $sw = "FIRE"; $mp = 300;}
if($buffs2[S_LVL_MAGIC]=='5'){$min = 175;   $max = 450;  $sw = "FIRE"; $mp = 360;}
if($buffs2[S_LVL_MAGIC]=='6'){$min = 210;   $max = 520;  $sw = "FIRE"; $mp = 420;}
if($buffs2[S_LVL_MAGIC]=='7'){$min = 245;   $max = 590;  $sw = "FIRE"; $mp = 480;}
if($buffs2[S_LVL_MAGIC]=='8'){$min = 280;  $max = 660;  $sw = "FIRE"; $mp = 540;}
if($buffs2[S_LVL_MAGIC]=='9'){$min = 315;  $max = 730;  $sw = "FIRE"; $mp = 600;}
if($buffs2[S_LVL_MAGIC]=='10'){$min = 340; $max = 920;  $sw = "FIRE"; $mp = 660;}
$sf2=rand($min,$max);//дмг
$pint = round($us2[SKILL_INT]/2);
$pint2 = round(($sf2*$pint)/100);//урон игрока магией
$krit = 3;//шанс на крит данной магией
$kritR = rand(0,100);//рандом крита от 0 до 100 %
$ok = rand(0,100);//рандом попадания от 0 до 100 %
$okS = 85;//шанс на попадание
$FIRE = rand(0,$mobs2[MD_FIRE]);//для моба на которого нападаем
//echo $FIRE;
if($FIRE<$pint2 OR $FIRE>=$pint2 AND $ma2[S_TIME_NEED]<$ptime){
if($mp<=$us2[MINmp]){
if($ok<=$okS){
if($FIRE<$pint2){

if($mob2[mb_MINhp]<=$pint2-$FIRE){
if($FIRE<$pint2){$dmg = ($pint2-$FIRE);}
if($FIRE>=$pint2){$dmg = 0;}
$exos = mysql_query("SELECT SUM(EXP_p) FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid=\"$src\" AND mb_MINhp<=$dmg AND mb_MINhp>0");
$exos2 = mysql_result($exos,0);

$nSHS = rand(0,100);
$die1 = mysql_query("SELECT * FROM mobs_drop WHERE MBID=\"$mobs2[ALL_KEY]\" AND MSHS>=$nSHS AND MSVJ=\"0\"");
$timO = time()+900;
$dieM = mysql_query("INSERT INTO died (NICK,D_NAME,D_KEY,D_DROP,D_LOC,TIMER) VALUES ('$_SESSION[s]','$mobs2[MOBSname]','$mobs2[MOBSid]','$mobs2[ALL_KEY]','$mobs2[loc_mob]','$timO')");
$die1 = mysql_query("SELECT * FROM mobs_drop WHERE MBID=\"$mobs2[ALL_KEY]\" AND MSHS>=$nSHS AND MSVJ=\"0\"");
while($die2 = mysql_fetch_assoc($die1)){
$timO = time()+900;
$ri = rand(1,$die2[MCOU]);
$dii = mysql_query("INSERT INTO died_items (di_name,die_loc,NAME,LEVL) VALUES ('$mobs2[MOBSid]','$mobs2[loc_mob]','$die2[MNAM]','$mobs2[MLEV]')");
}
///
$mn1 = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\"");
while($mn2 = mysql_fetch_assoc($mn1)){
 $fire2 = $mn2[MD_FIRE];
 $FFIR = rand(0,$mn2[MD_FIRE]);
if($FFIR<$pint2){$dmg = ($pint2-$FFIR);}
if($FFIR>=$pint2){$dmg = 0;} 
 $ress = time()+$mobs2[MNTM];
$minmb = mysql_query("UPDATE mobs_world SET mb_MINhp=\"0\",M_TIME=\"$ress\" WHERE MOBSid=\"$src\"");//создаем запрос на отнимание здоровья у моба


$mn3 = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\"");
}
while($mn4 = mysql_fetch_assoc($mn3)){
$rR = rand(0,$mn4[MD_FIRE]);
if($rR<$pint2){$dmg = ($pint2-$rR);}
if($rR>=$pint2){$dmg = 0;}
if($mn4[mb_MINhp]<=$dmg){

$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('$mn4[MOBSname] ',' (погиб)','$_SESSION[s]','','$vremya','$nnick2[loc]','$mn4[MOBSid]')");
$ress = time()+$mn4[MNTM];
$exo = mysql_query("SELECT SUM(EXP_p) FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\" AND mb_MINhp<=$dmg AND mb_MINhp>0");
$exo2 = mysql_result($exo,0);
$mbdea = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\" AND mb_MINhp<=$dmg AND mb_MINhp>0");
$exnow = mysql_query("INSERT INTO exp_now (NICK,expC) VALUES ('$_SESSION[s]','$exo2')");
$minmb = mysql_query("UPDATE mobs_world SET mb_MINhp=\"0\",M_TIME=\"$ress\" WHERE loc_mob=\"x3x7\" AND mb_MINhp<=$dmg");//создаем запрос на отнимание здоровья у моба
$nSHS = rand(0,100);
$die1 = mysql_query("SELECT * FROM mobs_drop WHERE MBID=\"$mn4[ALL_KEY]\" AND MSHS>=$nSHS AND MSVJ=\"0\"");
$timO = time()+900;
$dieM = mysql_query("INSERT INTO died (NICK,D_NAME,D_KEY,D_DROP,D_LOC,TIMER) VALUES ('$_SESSION[s]','$mn4[MOBSname]','$mn4[MOBSid]','$mn4[ALL_KEY]','$mn4[loc_mob]','$timO')");

/*$die1 = mysql_query("SELECT * FROM mobs_drop WHERE MBID=\"$mn4[ALL_KEY]\" AND MSHS>=$nSHS AND MSVJ=\"0\"");
while($die2 = mysql_fetch_assoc($die1)){
$timO = time()+900;
$ri = rand(1,$die2[MCOU]);
$dii = mysql_query("INSERT INTO died_items (di_name,die_loc,NAME,LEVL) VALUES ('$mn4[MOBSid]','$mn4[loc_mob]','$die2[MNAM]','$mn4[MLEV]')");
}*/
}//мобы труп

if($mn4[mb_MINhp]>$pint2-$rR){
$dmH = $mn4[mb_MINhp]-$dmg;
$minmb = mysql_query("UPDATE mobs_world SET mb_MINhp=\"$dmH\" WHERE loc_mob=\"$us2[loc]\" AND MOBSid=\"$mn4[MOBSid]\" AND mb_MINhp>$dmg");//создаем запрос на отнимание здоровья у моба
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('($mng2) $dmH(<b><font color=\"red\">огненная буря</font></b>) $mn4[MOBSname] ',' -$dmg','$_SESSION[s]','','$vremya','$nnick2[loc]','$mn4[MOBSid]')");
}//ранненые мобы

}



echo"</div><div class=\"main_foot\"><div style=\"padding:5px\"><center><img src=\"img/win666.png\"></center><font color=\"white\"><img src=\"img/b18.png\"> Бой завершен. Ты выиграл.<br/>";
$expN = mysql_query("SELECT * FROM exp_now WHERE NICK=\"$_SESSION[s]\"");
$expN2 = mysql_fetch_assoc($expN);
echo" <img src=\"img/exp.png\"> +".(round($expN2[expC]+$exos2)*$gi);echo"<br/>";
echo"<a href=\"game.php\"><font color=\"yellow\"><img src=\"img/b15.png\"> покинуть бой</font></a></font></div></div>";
$moexp2 = ($us2[EXPnow]+round($expN2[expC]+$exos2)*$gi);
$moexp = mysql_query("UPDATE users SET EXPnow=\"$moexp2\" WHERE NICK=\"$_SESSION[s]\"");//добавляем золото и опыт игроку
$moDe = mysql_query("DELETE FROM exp_now WHERE NICK=\"$_SESSION[s]\"");
//бьем игрока
/*$mu1 = mysql_query("SELECT * FROM users WHERE loc=\"$us2[loc]\"");
while($mu2 = mysql_fetch_assoc($mu1)){
 $fireU = $mu2[S_FIRE];
}*/
//$vremya = time();
//$mu3 = mysql_query("SELECT * FROM users WHERE loc=\"$us2[loc]\" AND $vremya-gametime<600 AND statys!=\"1\" AND NICK!=\"$_SESSION[s]\"");
/*
while($mu4 = mysql_fetch_assoc($mu3)){
$rR = rand(0,$mu4[S_FIRE]);
if($rR<$pint2){$dmg = ($pint2-$rR);}
if($rR>=$pint2){$dmg = 0;}
if($mu4[MINhp]<=$pint2-$rR){echo $mu4[NICK]."(ТРУП)|хп:$mu4[MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."<br/>";}//игроки труп
if($mu4[MINhp]>$pint2-$rR){echo $mu4[NICK]."(РАНЕН)|хп:$mu4[MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."|здоровье:".($mu4[MINhp]-$dmg)."<br/>";}//ранненые игроки
}
*/
die;
//сколько еще мобов убиваем?
//сколько еще мобов раним?
}//убиваем моба
if($mob2[mb_MINhp]>$pint2-$FIRE){
$mn3s = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid=\"$src\"");
$mn4s = mysql_fetch_assoc($mn3s);
$rRr = rand(0,$mn4s[MD_FIRE]);
$dmmm = $rRR-$pint2;
if($rRr<$pint2){
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('(<b><font color=\"red\">огненная буря</font></b>) $mn4s[MOBSname] ',' $dmmm','$_SESSION[s]','','$vremya','$nnick2[loc]','$mn4s[MOBSid]')");
$dmg = ($pint2-$rRR);
$dmH = $mn4s[mb_MINhp]-$dmg;
$upd = mysql_query("UPDATE mobs_world SET mb_MINhp=\"$dmH\" WHERE MOBSid=\"$mn4s[MOBSid]\"");
}
if($rRR>=$pint2){
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('(<b><font color=\"red\">огненная буря</font></b>) $mn4s[MOBSname] ',' -0','$_SESSION[s]','','$vremya','$nnick2[loc]','$mn4s[MOBSid]')");
}
$mn1 = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\"");
while($mn2 = mysql_fetch_assoc($mn1)){
 $fire2 = $mn2[MD_FIRE];
}
$mn3 = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\"");
while($mn4 = mysql_fetch_assoc($mn3)){
$hpM = $mn4[mb_MINhp];
$rR = rand(0,$mn4[MD_FIRE]);
$m090 = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\" AND mb_MINhp<=$pint2-$rR");
if($rR<$pint2){$dmg = ($pint2-$rR);}
if($rR>=$pint2){$dmg = 0;}
if($mn4[mb_MINhp]<=$dmg){


$mng = mysql_query("SELECT SUM(EXP_p) FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\" AND mb_MINhp<=$pint2-$rR");
$mng2 = mysql_result($mng,0);
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('$mn4[MOBSname] ',' (погиб)','$_SESSION[s]','','$vremya','$nnick2[loc]','$src')");
$ress = time()+$mn4[MNTM];
$exnow = mysql_query("INSERT INTO exp_now (NICK,expC) VALUES ('$_SESSION[s]','$mng2')");
$minmb = mysql_query("UPDATE mobs_world SET mb_MINhp=\"0\",M_TIME=\"$ress\" WHERE MOBSid!=\"$src\" AND mb_MINhp<=$pint2-$rR");//создаем запрос на отнимание здоровья у моба
$nSHS = rand(0,100);
$die1 = mysql_query("SELECT * FROM mobs_drop WHERE MBID=\"$mn4[ALL_KEY]\" AND MSHS>=$nSHS AND MSVJ=\"0\"");
$timO = time()+900;
$dieM = mysql_query("INSERT INTO died (NICK,D_NAME,D_KEY,D_DROP,D_LOC,TIMER) VALUES ('$_SESSION[s]','$mn4[MOBSname]','$mn4[MOBSid]','$mn4[ALL_KEY]','$mn4[loc_mob]','$timO')");
$die1 = mysql_query("SELECT * FROM mobs_drop WHERE MBID=\"$mn4[ALL_KEY]\" AND MSHS>=$nSHS AND MSVJ=\"0\"");
while($die2 = mysql_fetch_assoc($die1)){
$timO = time()+900;
$ri = rand(1,$die2[MCOU]);
$dii = mysql_query("INSERT INTO died_items (di_name,die_loc,NAME,LEVL) VALUES ('$mn4[MOBSid]','$mn4[loc_mob]','$die2[MNAM]','$mn4[MLEV]')");
}
}//мобы труп
if($mn4[mb_MINhp]>$pint2-$rR){
$dmH = $mn4[mb_MINhp]-$dmg;
$minmb = mysql_query("UPDATE mobs_world SET mb_MINhp=\"$dmH\" WHERE loc_mob=\"$us2[loc]\" AND MOBSid=\"$mn4[MOBSid]\" AND mb_MINhp>$dmg");//создаем запрос на отнимание здоровья у моба
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('($mng2) $dmH(<b><font color=\"red\">огненная буря</font></b>) $mn4[MOBSname] ',' -$dmg','$_SESSION[s]','','$vremya','$nnick2[loc]','$mn4[MOBSid]')");
}//ранненые мобы
}

if(mysql_num_rows($m090)>0){
$expN = mysql_query("SELECT * FROM exp_now WHERE NICK=\"$_SESSION[s]\"");
$expN2 = mysql_fetch_assoc($expN);
echo"</div><div class=\"main_foot\"><div style=\"padding:5px\"><center><img src=\"img/win666.png\"></center><font color=\"white\"><img src=\"img/b18.png\"> Боевой отчет<br/>";
echo" <img src=\"img/exp.png\"> +".(round($expN2[expC]+$exos2)*$gi);echo"<br/>";
echo"<a href=\"attack.php?menu=main&src=$src\"><font color=\"yellow\"><img src=\"img/b15.png\"> вернуться в бой</font></a></font></div></div>";
$moexp2 = ($us2[EXPnow]+round($expN2[expC]+$exos2)*$gi);
$moexp = mysql_query("UPDATE users SET EXPnow=\"$moexp2\" WHERE NICK=\"$_SESSION[s]\"");//добавляем золото и опыт игроку
$moDe = mysql_query("DELETE FROM exp_now WHERE NICK=\"$_SESSION[s]\"");
}

//бьем игрока
$mu1 = mysql_query("SELECT * FROM users WHERE loc=\"$us2[loc]\"");
while($mu2 = mysql_fetch_assoc($mu1)){
 $fireU = $mu2[S_FIRE];
}
$vremya = time();
$mu3 = mysql_query("SELECT * FROM users WHERE loc=\"$us2[loc]\" AND $vremya-gametime<600 AND statys!=\"1\" AND NICK!=\"$_SESSION[s]\"");
while($mu4 = mysql_fetch_assoc($mu3)){
$rR = rand(0,$mu4[S_FIRE]);
if($rR<$pint2){$dmg = ($pint2-$rR);}
if($rR>=$pint2){$dmg = 0;}
//if($mu4[MINhp]<=$pint2-$rR){echo $mu4[NICK]."(ТРУП)|хп:$mu4[MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."<br/>";}//игроки труп
//if($mu4[MINhp]>$pint2-$rR){echo $mu4[NICK]."(РАНЕН)|хп:$mu4[MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."|здоровье:".($mu4[MINhp]-$dmg)."<br/>";}//ранненые игроки
}

if(mysql_num_rows($m090)<1){
//print('<SCRIPT>location.href="attack.php?menu=main&src='.$src.'";</SCRIPT>');
}
//сколько еще мобов убиваем?
//сколько еще мобов раним?
die;}//убиваем моба//раним моба
}//наносим урон всем
if($FIRE>=$pint2){echo"моб без повреждений<br/>";

$mn1 = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\"");
while($mn2 = mysql_fetch_assoc($mn1)){
 $fire2 = $mn2[MD_FIRE];
}
$mn3 = mysql_query("SELECT * FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\"");
while($mn4 = mysql_fetch_assoc($mn3)){
$rR = rand(0,$mn4[MD_FIRE]);
if($rR<$pint2){$dmg = ($pint2-$rR);}
if($rR>=$pint2){$dmg = 0;}
if($mn4[mb_MINhp]<=$pint2-$rR){
$mng = mysql_query("SELECT SUM(EXP_p) FROM mobs_world WHERE loc_mob=\"$us2[loc]\" AND MOBSid!=\"$src\" AND mb_MINhp<=$pint2-$rR");
$mng2 = mysql_result($mng,0);
echo '(((((((((((опыт:'.($mng2).'))))))))))))))';
echo"</div><div class=\"main_foot\"><div style=\"padding:5px\"><center><img src=\"img/win666.png\"></center><font color=\"white\"><img src=\"img/b18.png\"> Боевой отчет<br/>";
echo" <img src=\"img/exp.png\"> +".($mngs2+$mng2);echo"<br/>";
echo"<a href=\"attack.php?menu=main&src=$src\"><font color=\"yellow\"><img src=\"img/b15.png\"> вернуться в бой</font></a></font></div></div>";
echo $mn4[MOBSid]."(ТРУП)|хп:$mn4[mb_MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."<br/>";}//мобы труп
if($mn4[mb_MINhp]>$pint2-$rR){echo $mn4[MOBSid]."(РАНЕН)|хп:$mn4[mb_MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."<br/>";}//ранненые мобы
}
//бьем игрока
$mu1 = mysql_query("SELECT * FROM users WHERE loc=\"$us2[loc]\"");
while($mu2 = mysql_fetch_assoc($mu1)){
 $fireU = $mu2[S_FIRE];
}
$vremya = time();
$mu3 = mysql_query("SELECT * FROM users WHERE loc=\"$us2[loc]\" AND $vremya-gametime<600 AND statys!=\"1\" AND NICK!=\"$_SESSION[s]\"");
while($mu4 = mysql_fetch_assoc($mu3)){
$rR = rand(0,$mu4[S_FIRE]);
if($rR<$pint2){$dmg = ($pint2-$rR);}
if($rR>=$pint2){$dmg = 0;}
if($mu4[MINhp]<=$pint2-$rR){echo $mu4[NICK]."(ТРУП)|хп:$mu4[MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."<br/>";}//игроки труп
if($mu4[MINhp]>$pint2-$rR){echo $mu4[NICK]."(РАНЕН)|хп:$mu4[MINhp]|огонь:$rR|урон игрока:$pint2|итого:".($dmg)."<br/>";}//ранненые игроки
die;}
}//наносим урон всем,кроме основной цели
             }
if($ok>$okS){
$vremya = time();
$lU = mysql_query("SET NAMES cp1251");
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('огненная буря',' <font color=\"red\">(заклинание сорвалось) </font>','$_SESSION[s]','','$vremya','$nnick2[loc]','$src')");}
$mpen=$us2[MINmp]-$mp;
$mp = mysql_query("SET NAMES cp1251");
$mp =mysql_query("UPDATE users SET MINmp=\"$mpen\" WHERE NICK=\"$_SESSION[s]\"");
 $ma3 = time()+$ma2[S_RESSURECTION];
 $resp = mysql_query("SET NAMES cp1251");
$resp = mysql_query("UPDATE magic_slots SET S_TIME_NEED=\"$ma3\" WHERE S_KEY_MAGIC=\"$ski\"");
//print('<SCRIPT>location.href="attack.php?menu=main&src='.$src.'";</SCRIPT>');
}//проверяем хватает ли маны для удара магией
if($mp>$us2[MINmp]){
$vremya = time();
$lU = mysql_query("INSERT INTO logs (COU_DMG,POPAL_ILI_NET,NAPADENIE,DEFENDER,L_TIME,L_LOC,L_KEY) VALUES ('огненная буря',' <font color=\"red\">(недостаточно маны)</font>','$_SESSION[s]','','$vremya','$nnick2[loc]','$src')");
print('<SCRIPT>location.href="attack.php?menu=main&src='.$src.'";</SCRIPT>');
}//проверяем хватает ли маны для удара магией
//проверяем сорвалось или нет заклинание
//проверяем убили или нет моба
}//если маг.защита у моба меньше чем урон у игрока


//print('<SCRIPT>location.href="attack.php?menu=main&src='.$src.'";</SCRIPT>');
}
####нападаем на моба,урон наносится по мобу, пока моб не погибнет,АОЕ скиллы во время удара наносится урон и всем другим мобам и игрокам,которые
###находятся в локации кастующего
?>
